// src/main/java/com/example/server/EchoServiceImpl.java
package com.example.echo.server;

import com.example.echo.client.EchoService;
import com.google.gwt.user.server.rpc.jakarta.RemoteServiceServlet;
import jakarta.servlet.ServletException;

public class EchoServiceImpl extends RemoteServiceServlet implements EchoService {

    @Override
    public void init() throws ServletException {
        super.init();
        System.err.println("EchoServlet init()");
    }

    @Override
    public void destroy() {
        super.destroy();
        System.err.println("EchoServlet destroy()");
    }

    @Override
    public String echo(String message) {
        if (message == null || message.trim().isEmpty()) {
            return "You didn't say anything!";
        }
        return "You said: " + message;
    }
}

/*
package com.example.echo.server;

import com.example.echo.client.EchoService;
import com.github.gwtmaterialdesign.server.JakartaRemoteServiceServlet;

public class EchoServiceImpl extends JakartaRemoteServiceServlet implements EchoService {
    @Override
    public String echo(String message) {
        if (message == null || message.trim().isEmpty()) {
            return "You didn't say anything!";
        }
        return "You said: " + message;
    }
}
 */
